{% extends 'admin/adminbase.html.twig' %}
{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}
{% block body %}
    <div class="card-genossys">
        <h5>Tambah Kupon</h5>
        <form id="formKupon" enctype="multipart/form-data" method="post">
            <div class="row mt-3">
                <div class="col col-sm-12 col-md-6">
                    <h6 class="font-weight-bold">Informasi Kupon</h6>
                    <fieldset class="form-group">
                        <div class="row">
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="tipe" id="privat" value="option1" checked>
                                    <label class="form-check-label" for="privat">
                                        Privat Kupon
                                    </label>
                                </div>
                            </div>
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="tipe" id="public" value="option2">
                                    <label class="form-check-label" for="public">
                                        Public Kupon
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <div class="form-group">
                        <label for="kode">Kode Kupon</label>
                        <input type="text" class="form-control" id="kode" aria-describedby="emailHelp" placeholder="Kode">
                    </div>
                    <div class="form-group">
                        <label for="expired">Masa Berlaku</label>
                        <input type="text" class="form-control" id="expired" placeholder="Masa Berlaku">
                    </div>
                    <div class="form-group">
                        <label for="med">Deskripsi Pendek</label>
                        <input type="text" class="form-control" id="med" placeholder="Deskripsi Pendek">
                    </div>
                    <div class="form-group">
                        <label for="med">Deskripsi Panjang</label>
                        <input type="text" class="form-control" id="med" placeholder="Deskripsi Panjang">
                    </div>
                    <fieldset class="form-group">
                        <div class="row">
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="cashback" value="1" checked>
                                    <label class="form-check-label" for="cashback">
                                        Cashback
                                    </label>
                                </div>
                            </div>
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="diskon" value="2">
                                    <label class="form-check-label" for="diskon">
                                        Diskon
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <div class="form-group">
                        <label for="nominal">Nominal</label>
                        <input type="text" class="form-control" id="nominal" placeholder="Deskripsi Panjang">
                    </div>
                    <div class="form-group">
                        <label for="count">Banyak Kupon</label>
                        <input type="text" class="form-control" id="count" placeholder="Deskripsi Panjang">
                    </div>
                </div>
                <div class="col col-sm-12 col-md-6">
                    <h6 class="font-weight-bold">Layanan</h6>
                    <fieldset class="form-group">
                        <div class="row">
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="layanan" id="temanPrivat" value="1" checked>
                                    <label class="form-check-label" for="temanPrivat">
                                        Teman Privat Tatap Muka
                                    </label>
                                </div>
                            </div>
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="layanan" id="temanTryout" value="2">
                                    <label class="form-check-label" for="temanTryout">
                                        Teman Tryout
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <fieldset class="form-group">
                        <div class="row">
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="layanan" id="temanOnline" value="1">
                                    <label class="form-check-label" for="temanOnline">
                                        Teman Privat Online
                                    </label>
                                </div>
                            </div>
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="layanan" id="soal" value="2">
                                    <label class="form-check-label" for="soal">
                                        Latihan Soal
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <fieldset class="form-group">
                        <div class="row">
                            <div class="col col-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="layanan" id="konsul" value="1">
                                    <label class="form-check-label" for="konsul">
                                        Teman Konsul
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <h6 class="font-weight-bold mt-3">Persyaratan Tambahan</h6>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="mapel">
                            <label class="custom-control-label" for="mapel">Mata Pelajaran</label>
                            <input type="text" class="form-control" disabled id="textmapel" placeholder="Masukkan minimal transaksi">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="minTraksansi">
                            <label class="custom-control-label" for="minTraksansi">Minimal Transaksi</label>
                            <input type="text" class="form-control" disabled id="textminTraksansi" placeholder="Masukkan minimal transaksi">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="minPertemuan">
                            <label class="custom-control-label" for="minPertemuan">Minimal Jumlah Pertemuan</label>
                            <input type="text" class="form-control" disabled id="textminPertemuan" placeholder="Masukkan munimal pertemuan">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="minSiswa">
                            <label class="custom-control-label" for="minSiswa">Minimal Siswa</label>
                            <input type="text" class="form-control" disabled id="textminSiswa" placeholder="Masukkan minimal jumlah siswa">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="payMethod">
                            <label class="custom-control-label" for="payMethod">Metode Pembayaran</label>
                            <input type="text" class="form-control" disabled id="textpayMethod" placeholder="Masukkan minimal jumlah siswa">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox ">
                            <input type="checkbox" class="custom-control-input checktext" id="wilLayanan">
                            <label class="custom-control-label" for="wilLayanan">Wilayah Layanan</label>
                            <input type="text" class="form-control" disabled id="textwilLayanan" placeholder="Masukkan minimal jumlah siswa">
                        </div>
                    </div>
                </div>
                <div class="col col-sm-12">
                    <label>Gambar Kupon</label>
                    <div class="input-field" id="div-img">
                        <input type="file" required id="avatar" class="fotoKupon" data-min-height="10"
                               data-height="150"
                               accept="image/jpeg, image/jpg, image/png"
                               data-allowed-file-extensions="jpg jpeg png"
                        />
                    </div>
                </div>
            </div>
            <div class="float-right m-2">
                <input class="btn btn-primary btn-blue" type="submit" value="Simpan"/>
            </div>
        </form>
    </div>
{% endblock %}
{% block javascripts %}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript"
            src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>
    <script>
        $('.fotoKupon').dropify({
            messages: {
                'default': 'Masukkan Gambar Kupon',
                'replace': 'Drag and drop or click to replace',
                'remove': 'Remove',
                'error': 'Ooops, something wrong happended.'
            }
        });
        $(document).ready(function () {

        });
    </script>
{% endblock %}